> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns Supported Tokens for a Chain

> Returns a map of token symbols to token metadata supported by Stash on the specified chain.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/liquidity/chain/{chainId}/tokens' \
    --header 'X-Auth-Token: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/liquidity/chain/{chainId}/tokens", headers={"X-Auth-Token": "YOUR_API_KEY"})
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/liquidity/chain/{chainId}/tokens",
    { headers: { "X-Auth-Token": "YOUR_API_KEY" } }
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	req, _ := http.NewRequest("GET", "https://api.sprinter.tech/liquidity/chain/{chainId}/tokens", nil)
  	req.Header.Set("X-Auth-Token", "YOUR_API_KEY")
  	resp, _ := http.DefaultClient.Do(req)
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "USDC": {
        "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
        "decimals": 6
      },
      "WETH": {
        "address": "0x4200000000000000000000000000000000000006",
        "decimals": 18
      },
      "WBTC": {
        "address": "0x68f180fcCe6836688e9084f035309E29Bf0A2095",
        "decimals": 8
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /liquidity/chain/{chainId}/tokens
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /liquidity/chain/{chainId}/tokens:
    get:
      tags:
        - Liquidity
      summary: Returns supported tokens for a chain
      description: >-
        Returns a map of token symbols to token metadata supported by Stash on
        the specified chain.
      parameters:
        - description: Chain ID in CAIP format (e.g., eip155:8453)
          name: chainId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Map of token symbols to token metadata".
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/liquidity.GetStashSupportedTokensHandler.response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    liquidity.GetStashSupportedTokensHandler.response:
      type: object
      required:
        - data
      properties:
        data:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/config.Token'
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string
    config.Token:
      type: object
      required:
        - address
        - decimals
      properties:
        address:
          type: string
        decimals:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Auth-Token
      in: header

````